/************************************************************************
*                                                                                                                                        
*    Test du module Pmod RS232                                          
*                                                                    
*************************************************************************
* Description:  Pmod_RS232                                               
* Une carte Arduino + module Pmod RS232 demande à une autre carte Arduino  
* + module Pmod RS232 de lui envoyer une chaîne de caractères.
*  
* Matériel
*        1. Arduino Uno                                       
*        2. Module Pmod RS232 (Le cavalier JP1 n'est pas positionné,
*        le cavalier JP2 est positionné).
*        
************************************************************************/
#define RX 9                                      // affectation des broches 
#define TX 8

#include <SoftwareSerial.h>                       // appel de la bibliothèque
SoftwareSerial RS232(RX, TX);                     // création de l'objet RS232

int machaine[]={0,1,2,3,4,5,6,7,8,9};     
int i;

void setup()
{
 RS232.begin(9600);                               // initialisation de la liaison série RS232
}

void loop()
{  
if (RS232.available())                            // attente que le récepteur demande un envoi 
   {
       if (RS232.read()=='0')                     // si un '0' a été envoyé
       { 
       for (i=0;i<10;i=i+1)                       // envoi caractère par caractère
        {
        RS232.write(machaine[i]);
        delay(10);
        }
       }
    }
}

